com.independentsoft.exchange

## Class SuggestionDay

- java.lang.Object
- - com.independentsoft.exchange.SuggestionDay

-     public class SuggestionDay
      extends java.lang.Object

  Represents a single day that contains suggested meeting times.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuggestionDay()` Initializes a new instance of the SuggestionDay class.
    `SuggestionDay(javax.xml.stream.XMLStreamReader reader)` Initializes a new instance of the SuggestionDay class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getDate()` Gets the date that contains the suggested meeting times.
    `SuggestionQuality` | `getQuality()` Gets the quality of the day for containing quality suggested meeting times.
    `java.util.List<Suggestion>` | `getSuggestions()` Gets a collection of meeting suggestions.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuggestionDay

          public SuggestionDay()

      Initializes a new instance of the SuggestionDay class.

    - #### SuggestionDay

          public SuggestionDay(javax.xml.stream.XMLStreamReader reader)
                        throws javax.xml.stream.XMLStreamException,
                               java.text.ParseException

      Initializes a new instance of the SuggestionDay class.
      Parameters:
        `reader` - the reader
      Throws:
        `javax.xml.stream.XMLStreamException` - the xML stream exception
        `java.text.ParseException` - the parse exception

  - ### Method Detail

    - #### getDate

          public java.util.Date getDate()

      Gets the date that contains the suggested meeting times.
      Returns:
        the date

    - #### getQuality

          public SuggestionQuality getQuality()

      Gets the quality of the day for containing quality suggested meeting times.
      Returns:
        the quality

    - #### getSuggestions

          public java.util.List<Suggestion> getSuggestions()

      Gets a collection of meeting suggestions.
      Returns:
        the suggestions